/*
 * Copyright 2017 Arne Vajhj.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.web;

/**
 * Interface FunctionModule must be implemented by all functionality handlers.
 */
public interface FunctionModule {
	/**
	 * Get context aka path.
	 * @return context
	 */
	public String getContext();
	/**
	 * Process request and return response.
	 * @param remurl remainder of URL (after context)
	 * @param query query
	 * @return full response
	 */
	public Result getResponse(String remurl, String query);
}
